Index: /extensions/UserAdvManager/branches/2.30/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.30/language/en_UK/plugin.lang.php	(revision 13123)
+++ /extensions/UserAdvManager/branches/2.30/language/en_UK/plugin.lang.php	(revision 13124)
@@ -15,9 +15,4 @@
 $lang['UAM_Password: %s'] = 'Password: %s';
 $lang['UAM_Link: %s'] = 'Please, click on this link to confirm your registration : %s';
-
-
-/* Email confirmation page */
-$lang['UAM_title_confirm_mail'] = 'Validate your registration';
-$lang['UAM_confirm_mail_page_title'] = 'Validate your registration';
 
 
@@ -31,8 +26,8 @@
 $lang['UAM_empty_pwd'] = '[empty password]';
 $lang['UAM_no_update_pwd'] = '[profile updated without password changed]';
-$lang['UAM_No_validation_for_Guest'] = 'The "Guest" account is not subject to validation';
-$lang['UAM_No_validation_for_default_user'] = 'The default account is not subject to validation';
-$lang['UAM_No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to validation';
-$lang['UAM_No_validation_for_your_account'] = 'Your personnal admin account is not subject to validation';
+$lang['UAM_No_validation_for_Guest'] = 'The "Guest" account is not subject to confirmation';
+$lang['UAM_No_validation_for_default_user'] = 'The default account is not subject to confirmation';
+$lang['UAM_No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to confirmation';
+$lang['UAM_No_validation_for_your_account'] = 'Your personnal admin account is not subject to confirmation';
 
 
@@ -42,6 +37,4 @@
 $lang['UAM_%d_Reminder_Sent'] = '%d reminder message was sent';
 $lang['UAM_%d_Reminders_Sent'] = '%d reminder messages were sent';
-$lang['UAM_%d_Validated_User'] = '%d User validated manually';
-$lang['UAM_%d_Validated_Users'] = '%d Users validated manually';
 
 
@@ -93,10 +86,4 @@
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.13.0
-/* UserList Tab */
-$lang['UAM_UserList_Title'] = 'Monitoring registered users';
-// --------- End: New or revised $lang ---- from version 2.13.0
-
-
 // --------- Starting below: New or revised $lang ---- from version 2.13.4
 /* Global Configuration Tab */
@@ -121,24 +108,13 @@
 $lang['UAM_Confirm_Mail'] = 'Confirmation of registration:';
 $lang['UAM_ConfirmMail_Text'] = ' Customizing the confirmation email:';
-$lang['UAM_No_Confirm_Group'] = 'Group for users who have not validated their registration<br>';
-$lang['UAM_Validated_Group'] = 'Group for users who have validated their registration<br>';
-$lang['UAM_No_Confirm_Status'] = 'Status for users who have not validated their registration<br>';
-$lang['UAM_Validated_Status'] = 'Status for users who have validated their registration<br>';
-$lang['UAM_ValidationLimit_Info'] = 'Deadline for registration validation limited';
+$lang['UAM_ValidationLimit_Info'] = 'Deadline for registration confirmation limited';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
-$lang['UAM_ConfirmMail_Remail'] = 'Remind unvalidated users';
-$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of key validation.';
-$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of key validation.';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of confirmation key.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of confirmation key.';
 
 $lang['UAM_GhostTracker'] = 'Ghost visitors management (Ghost Tracker)';
 $lang['UAM_GhostTracker_true'] = ' Enable. Maximum period in days between two visits: ';
 $lang['UAM_GhostTracker_ReminderText'] = 'Customizing Ghost Tracker\'s reminder message';
-$lang['UAM_LastVisit'] = ' Tracking registered users';
-
-$lang['UAM_Tab_UserManager'] = 'Tracking validations';
-
-/* UserManager Tab */
-$lang['UAM_SubTitle3'] = 'Tracking validations';
-$lang['UAM_UserManager_Title'] = 'Tracking validations';
+
 /* Ghost Tracker Tab */
 $lang['UAM_SubTitle4'] = 'Ghost Tracker';
@@ -146,15 +122,10 @@
 $lang['UAM_GhostTracker_Title'] = 'Ghost visitors management';
 $lang['UAM_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
-/* UserList Tab */
-$lang['UAM_SubTitle5'] = 'Tracking users';
-$lang['UAM_Tab_UserList'] = 'Tracking users';
 /* Mailing */
 $lang['UAM_Add of %s'] = 'Profile created for %s';
 $lang['UAM_Update of %s'] = 'Profile %s updated';
-
-/* Mailing */
 $lang['UAM_Ghost_reminder_of_%s'] = '%s, this is a reminder email';
-$lang['UAM_Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
-$lang['UAM_Reminder_without_key_of_%s'] = '%s, your validation key will expire';
+$lang['UAM_Reminder_with_key_of_%s'] = '%s, your confirmation key has been renewed';
+$lang['UAM_Reminder_without_key_of_%s'] = '%s, your confirmation key will expire';
 /* Errors and Warnings */
 $lang['UAM_Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in "Setting the registrations followed and other options".';
@@ -173,5 +144,4 @@
 $lang['UAM_LastVisit_Date'] = 'Last visit';
 $lang['UAM_Nb_Days'] = 'Difference in days';
-$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations and validations of registration".';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
@@ -185,7 +155,7 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Manual validation';
-$lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
-$lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
+$lang['UAM_Force_Validation'] = 'Manual confirmation';
+$lang['UAM_Confirm_Mail_true'] = ' Enable - Confirmation by user';
+$lang['UAM_Confirm_Mail_local'] = ' Enable - Confirmation by admin (no confirmation key sent)';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -200,11 +170,11 @@
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the chosen configuration:
 <br><br>
-"Setting the registered users monitoring and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.
+"Setting the registered users monitoring and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations of registration > Confirmation of registration - Confirmation by user" is not enabled at first.
 <br><br>
 To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".
 <br><br>';
 $lang['UAM_Demotion of %s'] = 'Demotion of %s';
-$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
-$lang['UAM_Validation of %s'] = 'Validation of %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual confirmation of registration';
+$lang['UAM_Validation of %s'] = 'Confirmation of %s';
 // --------- End: New or revised $lang ---- from version 2.16.0
 
@@ -212,96 +182,11 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 $lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
 $lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
 $lang['UAM_USRAutoMail'] = 'Automated email reminder';
 $lang['UAM_Disable'] = ' Disable (default)';
 $lang['UAM_Enable'] = ' Enable ';
-$lang['UAM_Tips1'] = 'Information of non-validated registration with UAM and PWG_Stuffs';
-$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
-            <br><br>
-            <b>Recall: In standard operation, the "Guest" only sees the public categories, without information message.</b>
-            </li><br><br>
-            <li>
-Prerequisite:<br>
-- A gallery with all or some private categories, visible only by registered users<br>
-- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Validated" with all the permissions on the private categories<br>
-- UAM plugin<br>
-- PWG Stuffs plugin, for adding a special UAM module<br>
-- Optionally, the plugin Extended Description to support multi-languages<br>
-            </li><br><br>
-            <li>
-Stages:<br><br>
-A. In plugin UAM:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>Enable PWG Stuffs module option</li>
-                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
-                <li>Select the "Waiting" group under "For users who have not validated their registration"</li>
-                <li>Select the "Validated" group under "For users who have validated their registration"</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-<br>
-B. In plugin PWG Stuffs :
-              <ol>
-                <li>Go to tab "Add a new module"</li>
-                <li>Choose "UAM Module"</li>
-                <li>Configure the module, indicating the title (eg "Registration pending validation") and its description, and only check "Waiting" in the list of groups allowed</li>
-                <li>Complete content of the module with the message information to be displayed to users not validated. As UAM, languages markup may be used if the plugin is enabled Extended Description</li>
-                <li>Check "Display the module on the homepage of the site"</li>
-                <li>Validate the configuration of the module</li>
-              </ol>
-            </li>
-          </ul>';
-$lang['UAM_Tips2'] = 'Information of non-validated registration with UAM and Additional Pages';
-$lang['UAM_Tips2_txt'] = '
-          <ul>
-            <li>
-            Goals: Inform the visitor that the registration is awaiting validation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
-            <br><br>
-            Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
-            </li><br><br>
-            <li>
-Prerequisite:<br>
-- A gallery with all or some private categories, visible only by registered users<br>
-- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Validated" with all the permissions on the private categories<br>
-- UAM plugin<br>
-- Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
-- Optionally, the plugin Extended Description to support multi-languages<br>
-            </li><br><br>
-            <li>
-Stages:<br><br>
-A. In plugin UAM:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
-                <li>Select the "Waiting" group under "For users who have not validated their registration"</li>
-                <li>Select the "Validated" group under "For users who have validated their registration"</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-<br>
-B. In plugin Additional Pages:<br>
-                <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
-                <br>
-              <ol>
-                <li>Add a new page with at least the following parameters:</li>
-                <ul>
-                  <li>Page name: The name you wish to give to the additional page (ie: Registration not validated)</li>
-                  <li>Set as homepage checked</li>
-                  <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
-                  <li>Content: The text you want to use for visitors.</li>
-                </ul>
-                <br>
-                <li>And that\'s it! Only visitors registered and whose registration has not been validated will see this additional index page.</li>
-              </ol>
-            </li>
-          </ul>';
 $lang['UAM_No_Ghosts'] = 'No ghosts visitors for the moment';
 $lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
-$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
 $lang['UAM_Stuffs_Title'] = 'UAM block';
-$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unvalidated users';
 $lang['UAM_Stuffs'] = 'PWG Stuffs block';
 // --------- End: New or revised $lang ---- from version 2.20.0
@@ -322,15 +207,13 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.11
-$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Deadline for registration validation limited" option was not activated. Please activate the option or correct the text field(s) colored in red.';
+$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Deadline for registration confirmation limited" option was not activated. Please activate the option or correct the text field(s) colored in red.';
 // --------- End: New or revised $lang ---- from version 2.20.11
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.30.0
-$lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the validation statutes and not both simultaneously. The privacy level can be used in conjunction with a group or status assignment.';
+$lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the confirmation statutes and not both simultaneously. The privacy level can be used in conjunction with a group or status assignment.';
 $lang['UAM_Confirm_Group'] = 'Groups<br>(leave ------- to not affect group)';
 $lang['UAM_Confirm_Status'] = 'Statutes<br>(leave ------- to keep the Piwigo\'s default)';
 $lang['UAM_Confirm_Level'] = 'Privacy level<br>(leave ------- to keep the Piwigo\'s default)';
-$lang['UAM_No_Valid_Level'] = 'Privacy level for users who have not validated their registration<br>';
-$lang['UAM_Valid_Level'] = 'Privacy level for users who have validated their registration<br>';
 $lang['UAM_GTAutoGp'] = 'Automatic change of group / status / privacy level';
 $lang['UAM_Expired_Level'] = '<b>Privacy level</b> for user\'s registration has expired<br>';
@@ -351,5 +234,5 @@
 $lang['UAM %d user pwdreseted'] = 'Password renewal required for %d user';
 $lang['UAM %d users pwdreseted'] = 'Password renewal required for %d users';
-$lang['UAM_Error_Using_illegal_Kdays'] = 'Using the [Kdays] tag is allowed only if the deadline for registration validation limited is active. Refer to the text field in red to correct the problem.';
+$lang['UAM_Error_Using_illegal_Kdays'] = 'Using the [Kdays] tag is allowed only if the deadline for registration confirmation limited is active. Refer to the text field in red to correct the problem.';
 $lang['UAM_Default_InfoMail_Txt'] = 'Hello [username]! Thank you to have register on [mygallery].
 
@@ -368,22 +251,6 @@
 The admin of the gallery [mygallery] - [myurl]';
 $lang['UAM_Default_GhstDeletion_Txt'] = 'Sorry [username], your account has been deleted due to a too long time passed since your last visit at [mygallery]. Please register again.';
-$lang['UAM_Default_GhstDemotion_Txt'] = 'Sorry [username], your account has been deprecated due to a too long time passed since your last visit at [mygallery]. Please, use the following link to revalidate your account:';
-$lang['UAM_Default_AdminValidation_Txt'] = 'Hello [username]! Thank you for registering and welcome to [mygallery].
-
-Your account has been manually validated by the webmaster of [mygallery]. You may now log in at [myurl] and make any appropriate changes to your profile.';
 $lang['UAM_Default_PwdRequest_Txt'] = 'You have requested a password reset on our gallery. Please, find below your new connection settings.';
-$lang['UAM_Default_ValidationTimeout_Txt'] = 'Sorry, your account has been deleted because you have not validated your registration in requested time ([Kdays] days). Please, retry registration with a valid and non blocked email account.';
-$lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Hello [username].
-		
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key has expired. To still allow you to access to our gallery, your validation period has been reset. You have again x days to validate your registration.
-
-Note: After this period, your account will be permanently deleted.';
-$lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Hello [username].
-
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key will expire. To allow you access to our gallery, you have x days to confirm your registration by clicking on the link in the message you should have received when you registered.
-
-Note: After this period, your account will be permanently deleted.';
 $lang['UAM_Default_CfmMail_Custom_Txt1'] = 'Welcome [username]! You have confirmed that you are human and may now use [mygallery]!';
-$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.';
 $lang['UAM_DumpTxt'] = 'Backup and restore your configuration';
 $lang['UAM_Restore'] = 'To restore the backup file of your configuration. Only the saved file on the server is taken into account.
@@ -407,11 +274,132 @@
 $lang['UAM_RedirToProfile'] = 'Redirect to Customization page';
 $lang['UAM_Title1'] = 'Restrictions for registrations';
-$lang['UAM_Title2'] = 'Confirmations and validations of registration';
+$lang['UAM_Title2'] = 'Confirmations of registration';
 $lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status / privacy level';
 $lang['UAM_NewFeature'] = 'New feature !';
-$lang['UAM_RejectConnexion'] = 'Reject user\'s connexion until registration is validated';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Customize rejection text';
-$lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, you don\'t have validate your registration yet, so you can\'t connect the gallery now. Please check your email box. You should find an email sent by the gallery, containing a link to perform your validation. If not, please contact the webmaster.';
 $lang['UAM_Reject_Page_Title'] = 'Connexion not allowed !';
 // --------- End: New or revised $lang ---- from version 2.30.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.30.3
+$lang['UAM_MailExclusion_No'] = 'Email domains exclusion - Not available because emails are not mandatory for registrations !';
+$lang['UAM_USRAuto'] = 'Automatic management of unconfirmed users';
+$lang['UAM_ConfirmMail_Remail'] = 'Remind unconfirmed users';
+$lang['UAM_No_Usermanager'] = 'No unconfirmed registers to list for the moment';
+$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unconfirmed users';
+/* Email confirmation page */
+$lang['UAM_title_confirm_mail'] = 'Confirm your registration';
+$lang['UAM_confirm_mail_page_title'] = 'Confirm your registration';
+$lang['UAM_%d_Validated_User'] = '%d User confirmed manually';
+$lang['UAM_%d_Validated_Users'] = '%d Users confirmed manually';
+$lang['UAM_No_Confirm_Group'] = 'Group for users who have not confirmed their registration<br>';
+$lang['UAM_Validated_Group'] = 'Group for users who have confirmed their registration<br>';
+$lang['UAM_No_Confirm_Status'] = 'Status for users who have not confirmed their registration<br>';
+$lang['UAM_Validated_Status'] = 'Status for users who have confirmed their registration<br>';
+$lang['UAM_No_Valid_Level'] = 'Privacy level for users who have not confirmed their registration<br>';
+$lang['UAM_Valid_Level'] = 'Privacy level for users who have confirmed their registration<br>';
+$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not confirmed is configured in "Setting confirmations of registration".';
+$lang['UAM_Tips1'] = 'Information of unconfirmed registration with UAM and PWG_Stuffs';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
+            <br><br>
+            <b>Recall: In standard operation, the "Guest" only sees the public categories, without information message.</b>
+            </li><br><br>
+            <li>
+Prerequisite:<br>
+- A gallery with all or some private categories, visible only by registered users<br>
+- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Confirmed" with all the permissions on the private categories<br>
+- UAM plugin<br>
+- PWG Stuffs plugin, for adding a special UAM module<br>
+- Optionally, the plugin Extended Description to support multi-languages<br>
+            </li><br><br>
+            <li>
+Stages:<br><br>
+A. In plugin UAM:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>Enable PWG Stuffs module option</li>
+                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
+                <li>Select the "Waiting" group under "For users who have not confirmed their registration"</li>
+                <li>Select the "Confirmed" group under "For users who have confirmed their registration"</li>
+                <li>Save the plugin configuration</li>
+              </ol>
+<br>
+B. In plugin PWG Stuffs :
+              <ol>
+                <li>Go to tab "Add a new module"</li>
+                <li>Choose "UAM Module"</li>
+                <li>Configure the module, indicating the title (eg "Registration pending confirmation") and its description, and only check "Waiting" in the list of groups allowed</li>
+                <li>Complete content of the module with the message information to be displayed to users not confirmed. As UAM, languages markup may be used if the plugin is enabled Extended Description</li>
+                <li>Check "Display the module on the homepage of the site"</li>
+                <li>Validate the configuration of the module</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Tips2'] = 'Information of unconfirmed registration with UAM and Additional Pages';
+$lang['UAM_Tips2_txt'] = '
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting confirmation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
+            <br><br>
+            Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
+            </li><br><br>
+            <li>
+Prerequisite:<br>
+- A gallery with all or some private categories, visible only by registered users<br>
+- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Confirmed" with all the permissions on the private categories<br>
+- UAM plugin<br>
+- Additional Pages plugin for adding and managing an additional page to replace the default index page of the gallery<br>
+- Optionally, the plugin Extended Description to support multi-languages<br>
+            </li><br><br>
+            <li>
+Stages:<br><br>
+A. In plugin UAM:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
+                <li>Select the "Waiting" group under "For users who have not confirmed their registration"</li>
+                <li>Select the "Confirmed" group under "For users who have confirmed their registration"</li>
+                <li>Save the plugin configuration</li>
+              </ol>
+<br>
+B. In plugin Additional Pages:<br>
+                <b>NOTE : The management of access rights for groups on Additional Pages must be turned on (see plugin configuration settings).</b>
+                <br>
+              <ol>
+                <li>Add a new page with at least the following parameters:</li>
+                <ul>
+                  <li>Page name: The name you wish to give to the additional page (ie: Registration not confirmed)</li>
+                  <li>Set as homepage checked</li>
+                  <li>Groups allowed: Check the box corresponding to the group "Waiting" configured in UAM</li>
+                  <li>Content: The text you want to use for visitors.</li>
+                </ul>
+                <br>
+                <li>And that\'s it! Only visitors registered and whose registration has not been confirmed will see this additional index page.</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Sorry [username], your account has been deprecated due to a too long time passed since your last visit at [mygallery]. Please, use the following link to reconfirm your account:';
+$lang['UAM_Default_AdminValidation_Txt'] = 'Hello [username]! Thank you for registering and welcome to [mygallery].
+
+Your account has been manually confirmed by the webmaster of [mygallery]. You may now log in at [myurl] and make any appropriate changes to your profile.';
+$lang['UAM_Default_ValidationTimeout_Txt'] = 'Sorry, your account has been deleted because you have not confirmed your registration in requested time ([Kdays] days). Please, retry registration with a valid and non blocked email account.';
+$lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Hello [username].
+		
+This is a reminder message because you registered on our gallery [mygallery] but you do not confirm your registration and your confirmation key has expired. To still allow you to access to our gallery, your confirmation period has been reset. You have again x days to confirm your registration.
+
+Note: After this period, your account will be permanently deleted.';
+$lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Hello [username].
+
+This is a reminder message because you registered on our gallery [mygallery] but you do not confirm your registration and your confirmation key will expire. To allow you access to our gallery, you have x days to confirm your registration by clicking on the link in the message you should have received when you registered.
+
+Note: After this period, your account will be permanently deleted.';
+$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Your activation key is incorrect or expired or you have already confirmed your account, please contact the webmaster to fix this problem.';
+$lang['UAM_RejectConnexion'] = 'Reject user\'s connexion until registration is confirmed';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, you don\'t have confirmed your registration yet, so you can\'t connect the gallery now. Please check your email box. You should find an email sent by the gallery, containing a link to perform your confirmation. If not, please contact the webmaster.';
+$lang['UAM_Tracking registered users'] = 'Tracking registered users';
+$lang['UAM_Tracking confirmations'] = 'Tracking confirmations';
+// --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: /extensions/UserAdvManager/branches/2.30/language/es_ES/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.30/language/es_ES/help.lang.php	(revision 13123)
+++ /extensions/UserAdvManager/branches/2.30/language/es_ES/help.lang.php	(revision 13124)
@@ -31,5 +31,4 @@
 $lang['UAM_remailtxt1Title'] = 'Recordatorio por correo electrónico con la llave generada';
 $lang['UAM_remailtxt2Title'] = 'Recordatorio por correo electrónico sin la llave generada';
-$lang['UAM_lastvisitTitle_d'] = 'Esto activa una tabla de &quot;Seguimiento de los usuarios&quot; ficha de matriculaci&oacute;n de los usuarios que aparecen en la galer&iacute;a y la fecha de su &uacute;ltima visita y el tiempo (en d&iacute;as) desde su &uacute;ltima visita. El seguimiento es meramente informativo para el administrador de la galer&iacute;a.';
 $lang['UAM_tipsTitle_d'] = 'Consejos y diversos ejemplos de uso de';
 
